function verifyData() {
  // Create our TDVerify object here with all of our inputs.

  var verify = $.tdverify({
    // Use TowerData's domain authentication for best security 
    // or set your license key here
    'license' : 'your key', 

    // This is the data to validate
    // The values here are the IDs of the input fields.
    // See full_demo.js on how to use jQuery or DOM to specify fields.
    'email' : 'email_input',
    'phone' : 'phone_input'  // Comment this line out to disable phone validation
  });

  // These are the API settings. 
  verify.set({
//    'ip'          : 'detect', // Uncomment to enable IP Address Geolocation

    'settings' : {
      'valid_email' : 'mailbox', // Enable email validation of mailbox.
                                 // Use value of 'syntaxdomain' for syntax and 
                                 // domain validation only.
      'valid_phone' : true,      // Enable phone validation
      'timeout'     : 5          // Set timeout to 5 seconds
    }
  });

  verify.process({
    'onSuccess' : processEmailPhoneData,
    'onError'   : onError
  });
}

function processEmailPhoneData(data, textStatus, xhr) {
  if (data.email) {
    // If there is an email response

    var valid = data.email.ok === true ? 'passed' : 'failed';

    var message = 'The email address "' + data.email.address + '" ' + valid + ' validation ' +
                  ' with a status of "' + data.email.status_desc + '" and a status code of ' + data.email.status_code + '.';

    alert(message);
  }

  if (data.phone) {
    if (data.phone.ok === true) {
      // If there is a phone response and the phone is valid

      var message = 'The phone number "' + data.phone.number + '"';

      if (data.phone.extension) {
        message += ' with extension "' + data.phone.extension + '"';
      }

      message += ' is valid.\n';

      if (data.phone.country != null || data.phone.state != null) {
        message += '\nLocation:\n\n';

        if (data.phone.city) {
          message += 'City: ' + data.phone.city + '\n';
        }

        if (data.phone.state) {
          message += 'State: ' + data.phone.state + '\n';
        }

        if (data.phone.county) {
          message += 'County: ' + data.phone.county + '\n';
        }

        if (data.phone.country) {
          message += 'Country: ' + data.phone.country;
        }
      }

      if (data.phone.messages && data.phone.messages instanceof Array && data.phone.messages.length > 0) {
        var extraMsgs = [];

        for (var i = 0, l = data.phone.messages.length; i < l; i++) {
          extraMsgs.push(data.phone.messages[i].code + ' - "' + data.phone.messages[i].desc + '"');
        }

        message += '\nAdditional Messages:\n' + extraMsgs.join('\n');
      }
    }
    else if (data.phone.ok === false) {
      var message = 'Phone validation failed with error code ' + data.phone.status_code +
                    ' and the message "' + data.phone.status_desc + '".';
    }

    alert(message);
  }

  if (data.ip) {
    if (data.ip.ok === true) {
      // If there is an IP address response and data was found

      var message = 'Your IP address is ' + data.ip.address + '\n';
      message += 'You are in the state of ' + data.ip.region;
      alert(message);
    }
  }
  
}

function onError(xhr, error) {
  alert('An error occurred while processing this request. Probably a malformed request or you are not authenticated.');

}

function clearInputs() {
  $('input').val('');
}
